Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.html.databeans
Class ViewCurrentRecord

    java.lang.Object
      |
      +--oracle.jdeveloper.html.WebBeanImpl
            |
            +--oracle.jdeveloper.html.DataWebBeanImpl
                  |
                  +--oracle.jbo.html.databeans.ViewCurrentRecord

public class ViewCurrentRecord
extends DataWebBeanImpl

The ViewCurrentRecord Data Web Bean displays a read-only version of the current record of a View Object's RowSet.

JDeveloper's JSP Element wizard instantiates the `ViewCurrentRecord` class in a `jsp:useBean` tag in a `.jsp` file. Along with the class, the wizard also includes an ID and a scope declaration set to `request`. If you change the scope to any other value, you will have to handle possible multithreading issues.

The definition of `ViewCurrentRecord` provided by the wizard includes these methods: `setUseRoundedCorners`, `setShowRecordNumbers`, `setReleaseApplicationResources`, `initialize`, and `render`. For example,

     <jsp:useBean   class="oracle.jbo.html.databeans.ViewCurrentRecord"
                             id="vcrMaster"  scope="request" >
     <%

         vcrMaster.setUseRoundedCorners(true);
         vcrMaster.setShowRecordNumbers(true);
         vcrMaster.setReleaseApplicationResources(false);
         vcrMaster.initialize(application,session, request,response,out,
                           "package3_Package3Module.DeptView");
         vcrMaster.render();
     %>
     </jsp:useBean>

The value assigned to the `setReleaseApplicationResources` method determines whether the Application Module is released after ViewCurrentRecord Data Web Bean processes it. Typically, the value should not be set to true unless this is the last Web Bean to be processed in the JSP page.

Field Summary
`protected boolean` | `showRecordNumber`
`protected boolean` | `useRoundedCorners`

Fields inherited from class oracle.jdeveloper.html.DataWebBeanImpl
`attributeRenderers, bReleaseApplication, dispAttrs, qView, sApplication, sRowSetName`

Fields inherited from class oracle.jdeveloper.html.WebBeanImpl
`application, ctx, out, page, request, response, session`

Constructor Summary
`ViewCurrentRecord()`

Method Summary
`void` | `render()` Renders the current record from the RowSet of the View Object.
`void` | `setShowRecordNumbers(boolean bShow)` Sets whether the control will render the record numbers in the browser.
`void` | `setUseRoundedCorners(boolean bSet)` Enables or disables the use of rounded corners in the HTML table generated by this Web Bean.

Methods inherited from class oracle.jdeveloper.html.DataWebBeanImpl
`clearDisplayAttributes, getApplicationFromContext, getApplicationName, getAttributeLabel, getDisplayAttributeDefs, getDisplayAttributes, getDisplayFieldRenderer, getEditFieldRenderer, getRowFromKey, getRowKey, getRowSet, getViewObjectName, handleCommit, initialize, initialize, initialize, internalInitialize, isAppStateful, releaseApplicationResources, releaseApplicationResources, setDisplayAttributes, setDisplayFieldRenderer, setDisplayFieldRenderer, setEditFieldRenderer, setEditFieldRenderer, setReleaseApplicationResources, setRowSet, shouldDisplayAttribute`

Methods inherited from class oracle.jdeveloper.html.WebBeanImpl
`generateScriptSrc, getCookie, getOut, getRenderingContext, getRequest, getRequestVariable, getUniqueName, initBeanForJS, initialize, initialize, initialize, render, setRequestVariable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### showRecordNumber

    protected boolean showRecordNumber

### useRoundedCorners

    protected boolean useRoundedCorners

Constructor Detail

### ViewCurrentRecord

    public ViewCurrentRecord()

Method Detail

### setUseRoundedCorners

    public void setUseRoundedCorners(boolean bSet)

  Enables or disables the use of rounded corners in the HTML table generated by this Web Bean.

  Parameters:
    `bSet` - `true` to use rounded corners; `false` to use squared corners.

### setShowRecordNumbers

    public void setShowRecordNumbers(boolean bShow)

  Sets whether the control will render the record numbers in the browser.

  Parameters:
    `bShow` - `true` to display record numbers; `false` to suppress record numbers.

### render

    public void render()
                throws java.lang.Exception

  Renders the current record from the RowSet of the View Object. This is the View Object to which the `ViewCurrentRecord` object was initialized.
  Overrides:
    render in class WebBeanImpl

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD